GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
geos::noding::ScaledNoder Class Reference

Wraps a Noder and transforms its input into the integer domain. More...

`#include <ScaledNoder.h>`

Inheritance diagram for geos::noding::ScaledNoder:

## Public Member Functions
bool | isIntegerPrecision ()
| ScaledNoder (Noder &n, double nScaleFactor, double nOffsetX=0.0, double nOffsetY=0.0)
std::vector< SegmentString * > * | getNodedSubstrings () const
| Returns a Collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.
void | computeNodes (std::vector< SegmentString * > *inputSegStr)
| Computes the noding for a collection of SegmentStrings.
void | filter_ro (const geom::Coordinate *c)
void | filter_rw (geom::Coordinate *c) const

## Friends
class | ScaledNoder::Scaler
class | ScaledNoder::ReScaler

## Detailed Description

Wraps a Noder and transforms its input into the integer domain.

This is intended for use with Snap-Rounding noders, which typically are only intended to work in the integer domain. Offsets can be provided to increase the number of digits of available precision.

## Member Function Documentation

void geos::noding::ScaledNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |
| virtual

Computes the noding for a collection of SegmentStrings.

Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

Parameters

  segStrings | a collection of SegmentStrings to node

Implements geos::noding::Noder.

std::vector<SegmentString*>* geos::noding::ScaledNoder::getNodedSubstrings | ( |  | ) | const
| virtual

Returns a Collection of fully noded SegmentStrings. The SegmentStrings have the same context as their parent.

Returns
  a newly allocated std::vector of const SegmentStrings. Caller is responsible to delete it

Implements geos::noding::Noder.

The documentation for this class was generated from the following file:

- ScaledNoder.h